Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Permission issue, other user can not require `google/api_client` #205

Closed
sonots opened this issue Mar 24, 2015 · 7 comments

Comments

Projects
None yet
6 participants
@sonots
Copy link
Contributor

commented Mar 24, 2015

I am just curious about the permission of google/api_client:

$ ls -l ~/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/google-api-client-0.8.3/lib//google
drwxr-xr-x 5 sonots sonots  4096  March 24 18:32 2015 api_client
-rw-r----- 1 sonots sonots 27249  March 24 18:32 2015 api_client.rb

that is, there is no readable permission for other users. I have never seen such gem. For example, faraday gem permits to read for other users.

$ ls -l ~/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/faraday-0.9.1/lib/
drwxr-xr-x 5 sonots sonots 4096  March 24 18:31 2015 faraday
-rw-r--r-- 1 sonots sonots 7946  March 24 18:31 2015 faraday.rb

Could you tell me whether there is a reason to drop the readable permission for other users? If not, I prefer to have the readable permission for other users.

FYI: This is related with an issue which I met with td-agent treasure-data/omnibus-td-agent#35

PS. It seems, in git repository, it is assigning the readable permission for other users.

@cbeer

This comment has been minimized.

Copy link
Contributor

commented Mar 24, 2015

I'm seeing the same problem with google-api-client 0.8.3. The previous release worked fine.

@repeatedly

This comment has been minimized.

Copy link

commented Mar 24, 2015

Maybe, this problem could happen when users use system installed gems.
Releasing fixed version is better.

@kazunori279

This comment has been minimized.

Copy link

commented Mar 25, 2015

Contacted Tim who's the owner of this and explained how this issue affects the BigQuery plugin users. Will keep updating the status.

@tbetbetbe tbetbetbe self-assigned this Mar 25, 2015

@tbetbetbe

This comment has been minimized.

Copy link
Contributor

commented Mar 26, 2015

This has been addressed by a new patch release 0.8.4.

@tbetbetbe tbetbetbe closed this Mar 26, 2015

@cbeer

This comment has been minimized.

Copy link
Contributor

commented Mar 26, 2015

Thank you.

@sonots

This comment has been minimized.

Copy link
Contributor Author

commented Mar 26, 2015

Thanks!

@kenjiskywalker

This comment has been minimized.

Copy link

commented Mar 26, 2015

Thank! 😄

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.